Bug 115142 - Ignore games/clanbomber
Ignore games/clanbomber
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 13:50 UTC by carpetsmoker
Modified: 2007-09-10 00:44 UTC (History)
0 users

See Also:


Attachments
clanbomber.diff (299 bytes, patch)
2007-08-02 13:50 UTC, carpetsmoker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description carpetsmoker 2007-08-02 13:50:01 UTC
Set ignore on games/clanbomber, it will compile but not run.
Comment 1 itetcu freebsd_committer 2007-08-20 18:56:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 itetcu freebsd_committer 2007-08-20 18:57:39 UTC
State Changed
From-To: open->feedback

"Does not run means exactly what ? Please give some details. Thanks!"
Comment 3 carpetsmoker 2007-08-21 19:15:54 UTC
[~]# clanbomber
ClanLib Info(1): X11 Implementation: Fallback to normal XImages. This will be horribly slow! from Sources/Display/Display/X11/display_xwindow.cpp:342
XIO:  fatal IO error 14 (Bad address) on X server ":0.0"
      after 27 requests (24 known processed) with 9 events remaining.
Exit 1

All applications using clanlib 0.6 fail to run (this can be fixed by
modifying the application to use clanlib 0.8 instead of 0.6)
Comment 4 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
State Changed
From-To: feedback->open

This will be resolved when ports/115139 ([Update] devel/clanlib 
Update to 0.8.0) is commited. 



Comment 5 Edwin Groothuis freebsd_committer 2007-09-09 14:03:57 UTC
Responsible Changed
From-To: itetcu->edwin

Takeover while updating devel/clanlib.
Comment 6 dfilter freebsd_committer 2007-09-10 00:31:10 UTC
edwin       2007-09-09 23:31:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/clanlib        Makefile distinfo pkg-plist 
    games/trophy         Makefile distinfo pkg-plist 
    games/clanbomber     Makefile 
  Added files:
    devel/clanlib/files  
                         patch-Sources-GL-GLX-display-window-opengl.cpp 
                         patch-Sources-GL-GLX-input-device-linuxjoystick.h 
                         patch-Sources-GL-GLX-input_device_linuxevent.cpp 
                         patch-Sources-GL-GLX-input_device_linuxjoystick.cpp 
  Removed files:
    devel/clanlib/files  patch-Documentation::FAQ.theme 
                         patch-Documentation::Makefile.in 
                         patch-Documentation::Overview::Makefile.in 
                         patch-Documentation::Reference::Makefile.in 
                         patch-Documentation::Reference::pce2 
                         patch-Documentation::Utilities::transform.sh 
                         patch-Setup::Unix::Makefile.display.in 
                         patch-Setup::Unix::Makefile.jpeg.in 
                         patch-Setup::Unix::Makefile.mikmod.in 
                         patch-Setup::Unix::Makefile.png.in 
                         patch-Setup::Unix::Makefile.ttf.in 
                         patch-Setup::Unix::Makefile.vorbis.in 
                         patch-Setup::Unix::clanlib-config.in 
                         patch-Setup_Tests_ttf.cpp 
                         patch-Sources::API::Core::System::clanstring.h 
                         patch-Sources::GL::GLX::displaycard_glx.cpp 
                         patch-Sources::IOData::Unix::directory_scanner_unix.cpp 
                         patch-Sources::Network::Generic::browse_client_generic.cpp 
                         patch-Sources::Network::Generic::ip_address.cpp 
                         patch-Sources::Network::Generic::netcomputer.cpp 
                         patch-Sources::Network::Generic::socket_generic.h 
                         patch-Sources::SmallJPEG::jpgd::jidctfst.cpp 
                         patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp 
                         patch-Sources::Sound::Sound::ClanSound::oss.cpp 
                         patch-Sources_Core_System_Unix_appconf.h 
                         patch-Sources_Display_Display_Generic_blit_alphamask_rle.h 
                         patch-Sources_TTF_font_ttf.cpp 
                         patch-configure 
  Log:
  [Update] devel/clanlib Update to 0.8.0
  
          Update to 0.8.0
          Take maintainership
  
  Update games/trophy
  
          update trophy to 1.1.4 and pass maintainership to me.
  
  Ignore games/clanbomber
  
          Set ignore on games/clanbomber, it will compile but not run.
  
  PR:             ports/115139, ports/115141, ports/115142
  Submitted by:   Martin Tournoij <carpetsmoker@xs4all.nl>
  
  Revision  Changes    Path
  1.21      +81 -37    ports/devel/clanlib/Makefile
  1.7       +3 -3      ports/devel/clanlib/distinfo
  1.2       +0 -8      ports/devel/clanlib/files/patch-Documentation::FAQ.theme (dead)
  1.2       +0 -28     ports/devel/clanlib/files/patch-Documentation::Makefile.in (dead)
  1.2       +0 -18     ports/devel/clanlib/files/patch-Documentation::Overview::Makefile.in (dead)
  1.2       +0 -27     ports/devel/clanlib/files/patch-Documentation::Reference::Makefile.in (dead)
  1.2       +0 -8      ports/devel/clanlib/files/patch-Documentation::Reference::pce2 (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Documentation::Utilities::transform.sh (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.display.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.jpeg.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.mikmod.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.png.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.ttf.in (dead)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Setup::Unix::Makefile.vorbis.in (dead)
  1.2       +0 -14     ports/devel/clanlib/files/patch-Setup::Unix::clanlib-config.in (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Setup_Tests_ttf.cpp (dead)
  1.1       +34 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-display-window-opengl.cpp (new)
  1.1       +17 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input-device-linuxjoystick.h (new)
  1.1       +16 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxevent.cpp (new)
  1.1       +15 -0     ports/devel/clanlib/files/patch-Sources-GL-GLX-input_device_linuxjoystick.cpp (new)
  1.2       +0 -11     ports/devel/clanlib/files/patch-Sources::API::Core::System::clanstring.h (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources::GL::GLX::displaycard_glx.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::IOData::Unix::directory_scanner_unix.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::browse_client_generic.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::ip_address.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::netcomputer.cpp (dead)
  1.2       +0 -10     ports/devel/clanlib/files/patch-Sources::Network::Generic::socket_generic.h (dead)
  1.2       +0 -8      ports/devel/clanlib/files/patch-Sources::SmallJPEG::jpgd::jidctfst.cpp (dead)
  1.2       +0 -31     ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::cdaudio_linux.cpp (dead)
  1.2       +0 -17     ports/devel/clanlib/files/patch-Sources::Sound::Sound::ClanSound::oss.cpp (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources_Core_System_Unix_appconf.h (dead)
  1.2       +0 -43     ports/devel/clanlib/files/patch-Sources_Display_Display_Generic_blit_alphamask_rle.h (dead)
  1.2       +0 -12     ports/devel/clanlib/files/patch-Sources_TTF_font_ttf.cpp (dead)
  1.3       +0 -33     ports/devel/clanlib/files/patch-configure (dead)
  1.5       +372 -547  ports/devel/clanlib/pkg-plist
  1.17      +5 -8      ports/games/clanbomber/Makefile
  1.9       +28 -23    ports/games/trophy/Makefile
  1.4       +3 -3      ports/games/trophy/distinfo
  1.2       +132 -132  ports/games/trophy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Edwin Groothuis freebsd_committer 2007-09-10 00:44:33 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 Edwin Groothuis freebsd_committer 2007-09-10 00:44:33 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 9 Edwin Groothuis freebsd_committer 2007-09-10 00:44:33 UTC
State Changed
From-To: open->closed

Committed, thanks!